Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v1
Class TherapyType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v1.TherapyType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:31:40+02:00",
               comments="JAXB RI v2.2.6")
    public class TherapyType

extends Object
implements Serializable

Java class for TherapyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TherapyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="atm" type="{urn:be:fgov:ehealth:samcivics:type:v1}AtmType"/>
             <element name="startDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="endDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="maskedInd" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="reimbursementCriteria" type="{urn:be:fgov:ehealth:samcivics:type:v1}ReimbursementCriteriaType"/>
             <element name="reimbursementCategory" type="{urn:be:fgov:ehealth:samcivics:type:v1}ReimbCategoryCvType"/>
             <element name="reimbursementList" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="reimbursement" type="{urn:be:fgov:ehealth:samcivics:type:v1}ReimbursementAndChildrenType" maxOccurs="unbounded"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TherapyType()`

Method Summary
`AtmType` | `getAtm()` Gets the value of the atm property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`String` | `getMaskedInd()` Gets the value of the maskedInd property.
`ReimbCategoryCvType` | `getReimbursementCategory()` Gets the value of the reimbursementCategory property.
`ReimbursementCriteriaType` | `getReimbursementCriteria()` Gets the value of the reimbursementCriteria property.
`ReimbursementList` | `getReimbursementList()` Gets the value of the reimbursementList property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`void` | `setAtm(AtmType value)` Sets the value of the atm property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setMaskedInd(String value)` Sets the value of the maskedInd property.
`void` | `setReimbursementCategory(ReimbCategoryCvType value)` Sets the value of the reimbursementCategory property.
`void` | `setReimbursementCriteria(ReimbursementCriteriaType value)` Sets the value of the reimbursementCriteria property.
`void` | `setReimbursementList(ReimbursementList value)` Sets the value of the reimbursementList property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TherapyType

    public TherapyType()

Method Detail

### getAtm

    public AtmType getAtm()

  Gets the value of the atm property.

  Returns:
    possible object is `AtmType`

### setAtm

    public void setAtm(AtmType value)

  Sets the value of the atm property.

  Parameters:
    `value` - allowed object is `AtmType`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

### getMaskedInd

    public String getMaskedInd()

  Gets the value of the maskedInd property.

  Returns:
    possible object is `String`

### setMaskedInd

    public void setMaskedInd(String value)

  Sets the value of the maskedInd property.

  Parameters:
    `value` - allowed object is `String`

### getReimbursementCriteria

    public ReimbursementCriteriaType getReimbursementCriteria()

  Gets the value of the reimbursementCriteria property.

  Returns:
    possible object is `ReimbursementCriteriaType`

### setReimbursementCriteria

    public void setReimbursementCriteria(ReimbursementCriteriaType value)

  Sets the value of the reimbursementCriteria property.

  Parameters:
    `value` - allowed object is `ReimbursementCriteriaType`

### getReimbursementCategory

    public ReimbCategoryCvType getReimbursementCategory()

  Gets the value of the reimbursementCategory property.

  Returns:
    possible object is `ReimbCategoryCvType`

### setReimbursementCategory

    public void setReimbursementCategory(ReimbCategoryCvType value)

  Sets the value of the reimbursementCategory property.

  Parameters:
    `value` - allowed object is `ReimbCategoryCvType`

### getReimbursementList

    public ReimbursementList getReimbursementList()

  Gets the value of the reimbursementList property.

  Returns:
    possible object is `ReimbursementList`

### setReimbursementList

    public void setReimbursementList(ReimbursementList value)

  Sets the value of the reimbursementList property.

  Parameters:
    `value` - allowed object is `ReimbursementList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.